Name:           perl-Catalyst-Plugin-Session
Version:        0.19
Release:        2%{?dist}
Summary:        Catalyst generic session plugin 
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Session/
Source0:        http://www.cpan.org/authors/id/N/NU/NUFFIN/Catalyst-Plugin-Session-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Catalyst) >= 5.7010
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Object::Signature)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::MockObject) >= 1.01
BuildRequires:  perl(Test::More)
# optional tests
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

# NOTE FOR TESTS: there are optional tests in this module using
# C::P::S::State::Cookie.  However, while C::P::S::State::Cookie is an
# optional module for tests in this package, this package is a mandatory BR of
# C::P::S::State::Cookie.  We must not BR C::P::S::State::Cookie to avoid
# circular build deps.

%description
This plugin is the base of two related parts of functionality
required for session management in web applications.

The first part, the State, is getting the browser to repeat back a
session key, so that the web application can identify the client and
logically string several requests together into a session.

The second part, the Store, deals with the actual storage of information 
about the client. This data is stored so that the it may be revived for 
every request made by the same client.  

This plugin links the two pieces together.

%prep
%setup -q -n Catalyst-Plugin-Session-%{version}

# make sure doc/tests don't generate provides
# note we first filter out the bits in _docdir...
cat << \EOF > %{name}-prov
#!/bin/sh
FOO=`perl -p -e 's|%{buildroot}%{_docdir}/%{name}-%{version}\S+||'`
%{__perl_provides} $FOO | sed -e '/perl([St].*)/d'
EOF

%define __perl_provides %{_builddir}/Catalyst-Plugin-Session-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
TEST_POD=1 make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri May 30 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.19-2
- bump

* Tue Mar 18 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.19-1
- Specfile autogenerated by cpanspec 1.74.
